_InitTimer2:
;IRint_main.c,70 :: 		void InitTimer2(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;IRint_main.c,71 :: 		RCC_APB1ENR.TIM2EN = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(RCC_APB1ENR+0)
MOVT	R0, #hi_addr(RCC_APB1ENR+0)
STR	R1, [R0, #0]
;IRint_main.c,72 :: 		TIM2_CR1.CEN = 0;                              // counter disable while configuring
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_CR1+0)
MOVT	R0, #hi_addr(TIM2_CR1+0)
STR	R1, [R0, #0]
;IRint_main.c,73 :: 		TIM2_PSC = 75;                                 // prescaler;  75,000,000 Hz / 75 = 1000000 Hz (1uS)    Clock seems to be half that expected !!!!!
MOVS	R1, #75
MOVW	R0, #lo_addr(TIM2_PSC+0)
MOVT	R0, #hi_addr(TIM2_PSC+0)
STR	R1, [R0, #0]
;IRint_main.c,74 :: 		TIM2_ARR = 50000;                              // auto-reload register;  1000000 Hz / 50000 = 20 Hz (50mS)
MOVW	R1, #50000
MOVW	R0, #lo_addr(TIM2_ARR+0)
MOVT	R0, #hi_addr(TIM2_ARR+0)
STR	R1, [R0, #0]
;IRint_main.c,75 :: 		NVIC_IntEnable(IVT_INT_TIM2);
MOVW	R0, #44
BL	_NVIC_IntEnable+0
;IRint_main.c,76 :: 		TIM2_DIER.UIE = 1;                             // enable T2 interrupt
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_DIER+0)
MOVT	R0, #hi_addr(TIM2_DIER+0)
STR	R1, [R0, #0]
;IRint_main.c,77 :: 		TIM2_CR1.CEN = 1;                              // counter enable now ready
MOVW	R0, #lo_addr(TIM2_CR1+0)
MOVT	R0, #hi_addr(TIM2_CR1+0)
STR	R1, [R0, #0]
;IRint_main.c,78 :: 		}
L_end_InitTimer2:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _InitTimer2
_Timer2_interrupt:
;IRint_main.c,81 :: 		void Timer2_interrupt() iv IVT_INT_TIM2 {
;IRint_main.c,82 :: 		TIM2_SR.UIF = 0;                               // clear interrupt flag
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_SR+0)
MOVT	R0, #hi_addr(TIM2_SR+0)
STR	R1, [R0, #0]
;IRint_main.c,83 :: 		GPIOF_ODR.B2 = 1;                              // F2 pin 22 set to indicate on scope that inter-message gap found (Gnd on 2 and 26)
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,84 :: 		gap_flag = 1;                                  // indicate gap found
MOVS	R1, #1
MOVW	R0, #lo_addr(_gap_flag+0)
MOVT	R0, #hi_addr(_gap_flag+0)
STRB	R1, [R0, #0]
;IRint_main.c,85 :: 		if(ir_state == 0){
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_Timer2_interrupt0
;IRint_main.c,86 :: 		ir_state = 1;                                // gap found - indicate in IR state indicator
MOVS	R1, #1
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,87 :: 		GPIOE_ODR.B4 = 0;                          // scope test only - pin 9 E4
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,88 :: 		}
L_Timer2_interrupt0:
;IRint_main.c,89 :: 		}
L_end_Timer2_interrupt:
BX	LR
; end of _Timer2_interrupt
_ExtInt:
;IRint_main.c,92 :: 		void ExtInt() iv IVT_INT_EXTI15_10 ics ICS_AUTO {
;IRint_main.c,93 :: 		EXTI_PR.B10 = 1;                               // clear PB10 interrupt flag
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(EXTI_PR+0)
MOVT	R0, #hi_addr(EXTI_PR+0)
STR	R1, [R0, #0]
;IRint_main.c,94 :: 		gap_flag = 0;                                  // reset gap flag
MOVS	R1, #0
MOVW	R0, #lo_addr(_gap_flag+0)
MOVT	R0, #hi_addr(_gap_flag+0)
STRB	R1, [R0, #0]
;IRint_main.c,95 :: 		GPIOF_ODR.B2 = 0;                              // scope debug info pin 22 - no gap yet
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,96 :: 		if(EXTI_RTSR.B10){                             // if rising edge
MOVW	R1, #lo_addr(EXTI_RTSR+0)
MOVT	R1, #hi_addr(EXTI_RTSR+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_ExtInt1
;IRint_main.c,97 :: 		GPIOB_ODR.B4 = 0;                            // Blue LED off to indicate space
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,98 :: 		GPIOF_ODR.B7 = 1;                            // F7 pin 21 high to indicate space on scope (Gnd on 2 and 26)
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,99 :: 		EXTI_RTSR = 0x00000000;                      // No interrupt on Rising edge
MOVS	R1, #0
MOVW	R0, #lo_addr(EXTI_RTSR+0)
MOVT	R0, #hi_addr(EXTI_RTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,100 :: 		EXTI_FTSR = 0x00000400;                      // Set Interrupt on Falling edge (PB10)
MOVW	R1, #1024
MOVW	R0, #lo_addr(EXTI_FTSR+0)
MOVT	R0, #hi_addr(EXTI_FTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,101 :: 		ir_now = 1;                                  // show current IR input level is a space (high)
MOVS	R1, #1
MOVW	R0, #lo_addr(_ir_now+0)
MOVT	R0, #hi_addr(_ir_now+0)
STRB	R1, [R0, #0]
;IRint_main.c,102 :: 		}
IT	AL
BAL	L_ExtInt2
L_ExtInt1:
;IRint_main.c,104 :: 		GPIOB_ODR.B4 = 1;                            // Blue LED on to indicate mark
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,105 :: 		GPIOF_ODR.B7 = 0;                            // F7 pin 21 low to indicate mark on scope (Gnd on 2 and 26)
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,106 :: 		EXTI_RTSR = 0x00000400;                      // Set interrupt on Rising edge
MOVW	R1, #1024
MOVW	R0, #lo_addr(EXTI_RTSR+0)
MOVT	R0, #hi_addr(EXTI_RTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,107 :: 		EXTI_FTSR = 0x00000000;                      // No Interrupt on Falling edge (PB10)
MOVS	R1, #0
MOVW	R0, #lo_addr(EXTI_FTSR+0)
MOVT	R0, #hi_addr(EXTI_FTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,108 :: 		ir_now = 0;                                  // show current IR input level is a mark (low)
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_now+0)
MOVT	R0, #hi_addr(_ir_now+0)
STRB	R1, [R0, #0]
;IRint_main.c,109 :: 		}
L_ExtInt2:
;IRint_main.c,111 :: 		switch(ir_state){
IT	AL
BAL	L_ExtInt3
;IRint_main.c,112 :: 		case 1:   //Idle,starting
L_ExtInt5:
;IRint_main.c,113 :: 		ir_state = 2;
MOVS	R1, #2
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,114 :: 		break;
IT	AL
BAL	L_ExtInt4
;IRint_main.c,115 :: 		case 2:   // start_bit, found rising edge, check length for 2.4ms
L_ExtInt6:
;IRint_main.c,116 :: 		counter = TIM2_CNT;                       //
MOVW	R0, #lo_addr(TIM2_CNT+0)
MOVT	R0, #hi_addr(TIM2_CNT+0)
LDR	R0, [R0, #0]
MOVW	R2, #lo_addr(_counter+0)
MOVT	R2, #hi_addr(_counter+0)
STRH	R0, [R2, #0]
;IRint_main.c,117 :: 		mydebug = counter;                     // debug only
MOV	R0, R2
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_mydebug+0)
MOVT	R0, #hi_addr(_mydebug+0)
STRH	R1, [R0, #0]
;IRint_main.c,118 :: 		if((counter > 2000) && (counter < 2800)){   // acceptable uS values for start
MOV	R0, R2
LDRH	R0, [R0, #0]
CMP	R0, #2000
IT	LS
BLS	L__ExtInt21
MOVW	R0, #lo_addr(_counter+0)
MOVT	R0, #hi_addr(_counter+0)
LDRH	R0, [R0, #0]
CMP	R0, #2800
IT	CS
BCS	L__ExtInt20
L__ExtInt19:
;IRint_main.c,119 :: 		bit_count = 0;                     // start counting bits in
MOVS	R1, #0
MOVW	R0, #lo_addr(_bit_count+0)
MOVT	R0, #hi_addr(_bit_count+0)
STRB	R1, [R0, #0]
;IRint_main.c,120 :: 		input_data = 0;                    // clear old value
MOVS	R1, #0
MOVW	R0, #lo_addr(_input_data+0)
MOVT	R0, #hi_addr(_input_data+0)
STRH	R1, [R0, #0]
;IRint_main.c,121 :: 		ir_state = 3;                      // start receiving bits
MOVS	R1, #3
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,122 :: 		}
IT	AL
BAL	L_ExtInt10
;IRint_main.c,118 :: 		if((counter > 2000) && (counter < 2800)){   // acceptable uS values for start
L__ExtInt21:
L__ExtInt20:
;IRint_main.c,124 :: 		ir_state = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,125 :: 		}
L_ExtInt10:
;IRint_main.c,126 :: 		break;
IT	AL
BAL	L_ExtInt4
;IRint_main.c,127 :: 		case 3:   //capture bit, start receiving data
L_ExtInt11:
;IRint_main.c,128 :: 		if(ir_now){                              // only interested in mark timing - i.e. just returned to space
MOVW	R0, #lo_addr(_ir_now+0)
MOVT	R0, #hi_addr(_ir_now+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_ExtInt12
;IRint_main.c,131 :: 		counter = TIM2_CNT;                       //  get mark time in uS
MOVW	R0, #lo_addr(TIM2_CNT+0)
MOVT	R0, #hi_addr(TIM2_CNT+0)
LDR	R0, [R0, #0]
MOVW	R2, #lo_addr(_counter+0)
MOVT	R2, #hi_addr(_counter+0)
STRH	R0, [R2, #0]
;IRint_main.c,132 :: 		bit_count++;
MOVW	R1, #lo_addr(_bit_count+0)
MOVT	R1, #hi_addr(_bit_count+0)
LDRB	R0, [R1, #0]
ADDS	R0, R0, #1
STRB	R0, [R1, #0]
;IRint_main.c,133 :: 		input_data >>= 1;                         // make room for 0 bit
MOVW	R1, #lo_addr(_input_data+0)
MOVT	R1, #hi_addr(_input_data+0)
LDRH	R0, [R1, #0]
LSRS	R0, R0, #1
STRH	R0, [R1, #0]
;IRint_main.c,135 :: 		if(counter > 900){                        // acceptable uS value for zero/one discrimination
MOV	R0, R2
LDRH	R0, [R0, #0]
CMP	R0, #900
IT	LS
BLS	L_ExtInt13
;IRint_main.c,136 :: 		input_data |= 0x8000;                 // change 0 to 1
MOVW	R1, #lo_addr(_input_data+0)
MOVT	R1, #hi_addr(_input_data+0)
LDRH	R0, [R1, #0]
ORR	R0, R0, #32768
STRH	R0, [R1, #0]
;IRint_main.c,137 :: 		}
L_ExtInt13:
;IRint_main.c,138 :: 		if (bit_count == 12){                     // complete 12 bits
MOVW	R0, #lo_addr(_bit_count+0)
MOVT	R0, #hi_addr(_bit_count+0)
LDRB	R0, [R0, #0]
CMP	R0, #12
IT	NE
BNE	L_ExtInt14
;IRint_main.c,139 :: 		ir_found = 1;                         // indicate that a message is ready
MOVS	R1, #1
MOVW	R0, #lo_addr(_ir_found+0)
MOVT	R0, #hi_addr(_ir_found+0)
STRB	R1, [R0, #0]
;IRint_main.c,140 :: 		input_data >>= 4;                     // shift 12 bits into lower bits of word
MOVW	R1, #lo_addr(_input_data+0)
MOVT	R1, #hi_addr(_input_data+0)
LDRH	R0, [R1, #0]
LSRS	R2, R0, #4
UXTH	R2, R2
STRH	R2, [R1, #0]
;IRint_main.c,141 :: 		ir_add = (input_data >> 7) & 0x1F;  // pick out the 5 address bits
LSRS	R0, R2, #7
UXTH	R0, R0
AND	R1, R0, #31
MOVW	R0, #lo_addr(_ir_add+0)
MOVT	R0, #hi_addr(_ir_add+0)
STRH	R1, [R0, #0]
;IRint_main.c,142 :: 		ir_cmd = input_data & 0x7F;         // pick out the 7 command bits
AND	R1, R2, #127
MOVW	R0, #lo_addr(_ir_cmd+0)
MOVT	R0, #hi_addr(_ir_cmd+0)
STRH	R1, [R0, #0]
;IRint_main.c,144 :: 		ir_state = 0;                         // ready to start receiving again
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,145 :: 		GPIOE_ODR.B4 = 1;                     // scope test only - pin 9 E4
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,146 :: 		}
L_ExtInt14:
;IRint_main.c,147 :: 		}
L_ExtInt12:
;IRint_main.c,148 :: 		break;
IT	AL
BAL	L_ExtInt4
;IRint_main.c,149 :: 		default: ir_state = 0;
L_ExtInt15:
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,150 :: 		}
IT	AL
BAL	L_ExtInt4
L_ExtInt3:
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_ExtInt5
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #2
IT	EQ
BEQ	L_ExtInt6
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #3
IT	EQ
BEQ	L_ExtInt11
IT	AL
BAL	L_ExtInt15
L_ExtInt4:
;IRint_main.c,152 :: 		TIM2_CNT = 0;                                  // reset gap counter
MOVS	R1, #0
MOVW	R0, #lo_addr(TIM2_CNT+0)
MOVT	R0, #hi_addr(TIM2_CNT+0)
STR	R1, [R0, #0]
;IRint_main.c,154 :: 		}
L_end_ExtInt:
BX	LR
; end of _ExtInt
_main:
;IRint_main.c,156 :: 		void main() {
SUB	SP, SP, #4
;IRint_main.c,157 :: 		GPIO_Digital_Output(&GPIOB_BASE, _GPIO_PINMASK_4);              // Enable digital output on PORTB4 Blue LED
MOVW	R1, #16
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;IRint_main.c,158 :: 		GPIOB_ODR.B4 = 0;                                               // blue LED off to start with
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,159 :: 		GPIO_Digital_Input(&GPIOB_BASE, _GPIO_PINMASK_10);              // IR input on PB10
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;IRint_main.c,160 :: 		GPIO_Digital_Output(&GPIOE_BASE, _GPIO_PINMASK_4);              // Enable digital output on PORTE4 for scope tests - pin 9 of MMB7 (Gnd = 2 and 26)
MOVW	R1, #16
MOVW	R0, #lo_addr(GPIOE_BASE+0)
MOVT	R0, #hi_addr(GPIOE_BASE+0)
BL	_GPIO_Digital_Output+0
;IRint_main.c,161 :: 		GPIOE_ODR.B4 = 0;                                               // PE4 off to start with
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,162 :: 		GPIO_Digital_Output(&GPIOF_BASE, _GPIO_PINMASK_2);              // Enable digital output on PORTF2 for scope tests - pin 22 of MMB7 (Gnd = 2 and 26)
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Output+0
;IRint_main.c,163 :: 		GPIOF_ODR.B2 = 0;                                               // PF2 off to start with
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,164 :: 		GPIO_Digital_Output(&GPIOF_BASE, _GPIO_PINMASK_7);              // Enable digital output on PORTF7 for scope tests - pin 21 of MMB7 (Gnd = 2 and 26)
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Output+0
;IRint_main.c,165 :: 		GPIOF_ODR.B7 = 0;                                               // PF7 off to start with
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,167 :: 		SYSCFGEN_bit = 1;                    // Enable clock for alternate pin functions
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(SYSCFGEN_bit+0)
MOVT	R0, #hi_addr(SYSCFGEN_bit+0)
STR	R1, [R0, #0]
;IRint_main.c,168 :: 		SYSCFG_EXTICR3 = 0x00000100;         // Map external interrupt on PB10
MOVW	R1, #256
MOVW	R0, #lo_addr(SYSCFG_EXTICR3+0)
MOVT	R0, #hi_addr(SYSCFG_EXTICR3+0)
STR	R1, [R0, #0]
;IRint_main.c,169 :: 		EXTI_RTSR = 0x00000000;              // No interrupt on Rising edge
MOVS	R1, #0
MOVW	R0, #lo_addr(EXTI_RTSR+0)
MOVT	R0, #hi_addr(EXTI_RTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,170 :: 		EXTI_FTSR = 0x00000400;              // Set Interrupt on Falling edge (PB10)
MOVW	R1, #1024
MOVW	R0, #lo_addr(EXTI_FTSR+0)
MOVT	R0, #hi_addr(EXTI_FTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,171 :: 		EXTI_IMR |= 0x00000400;              // Set mask
MOVW	R0, #lo_addr(EXTI_IMR+0)
MOVT	R0, #hi_addr(EXTI_IMR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #1024
MOVW	R0, #lo_addr(EXTI_IMR+0)
MOVT	R0, #hi_addr(EXTI_IMR+0)
STR	R1, [R0, #0]
;IRint_main.c,172 :: 		NVIC_IntEnable(IVT_INT_EXTI15_10);   // Enable External interrupt
MOVW	R0, #56
BL	_NVIC_IntEnable+0
;IRint_main.c,173 :: 		InitTimer2();                        // timer 2 interrupts every 100mS
BL	_InitTimer2+0
;IRint_main.c,174 :: 		gap_flag = 0;                        // assume no gap yet
MOVS	R1, #0
MOVW	R0, #lo_addr(_gap_flag+0)
MOVT	R0, #hi_addr(_gap_flag+0)
STRB	R1, [R0, #0]
;IRint_main.c,175 :: 		ir_state = 0;                        // waiting for gap
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,177 :: 		Start_TP();
BL	_Start_TP+0
;IRint_main.c,179 :: 		while (1) {
L_main16:
;IRint_main.c,180 :: 		Check_TP();
BL	_Check_TP+0
;IRint_main.c,181 :: 		if(ir_found){                                           // has an IR message been decoded?
MOVW	R0, #lo_addr(_ir_found+0)
MOVT	R0, #hi_addr(_ir_found+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main18
;IRint_main.c,182 :: 		ir_found=0;                                           // prevent second processing of message
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_found+0)
MOVT	R0, #hi_addr(_ir_found+0)
STRB	R1, [R0, #0]
;IRint_main.c,183 :: 		WordToHex(ir_add, text_buffer);
MOVW	R0, #lo_addr(_ir_add+0)
MOVT	R0, #hi_addr(_ir_add+0)
LDRH	R0, [R0, #0]
MOVW	R1, #lo_addr(_text_buffer+0)
MOVT	R1, #hi_addr(_text_buffer+0)
BL	_WordToHex+0
;IRint_main.c,184 :: 		ButtonAddress.Caption[2] = text_buffer[2];
MOVW	R2, #lo_addr(_ButtonAddress+24)
MOVT	R2, #hi_addr(_ButtonAddress+24)
LDR	R0, [R2, #0]
ADDS	R1, R0, #2
MOVW	R0, #lo_addr(_text_buffer+2)
MOVT	R0, #hi_addr(_text_buffer+2)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,185 :: 		ButtonAddress.Caption[3] = text_buffer[3];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #3
MOVW	R0, #lo_addr(_text_buffer+3)
MOVT	R0, #hi_addr(_text_buffer+3)
STR	R0, [SP, #0]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,186 :: 		WordToHex(ir_cmd, text_buffer);
MOVW	R0, #lo_addr(_ir_cmd+0)
MOVT	R0, #hi_addr(_ir_cmd+0)
LDRH	R0, [R0, #0]
MOVW	R1, #lo_addr(_text_buffer+0)
MOVT	R1, #hi_addr(_text_buffer+0)
BL	_WordToHex+0
;IRint_main.c,187 :: 		ButtonCommand.Caption[2] = text_buffer[2];
MOVW	R2, #lo_addr(_ButtonCommand+24)
MOVT	R2, #hi_addr(_ButtonCommand+24)
LDR	R0, [R2, #0]
ADDS	R1, R0, #2
MOVW	R0, #lo_addr(_text_buffer+2)
MOVT	R0, #hi_addr(_text_buffer+2)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,188 :: 		ButtonCommand.Caption[3] = text_buffer[3];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #3
LDR	R0, [SP, #0]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,189 :: 		DrawButton(&ButtonAddress);
MOVW	R0, #lo_addr(_ButtonAddress+0)
MOVT	R0, #hi_addr(_ButtonAddress+0)
BL	_DrawButton+0
;IRint_main.c,190 :: 		DrawButton(&ButtonCommand);
MOVW	R0, #lo_addr(_ButtonCommand+0)
MOVT	R0, #hi_addr(_ButtonCommand+0)
BL	_DrawButton+0
;IRint_main.c,191 :: 		}
L_main18:
;IRint_main.c,192 :: 		}
IT	AL
BAL	L_main16
;IRint_main.c,193 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
