_InitTimer2:
;IRint_main.c,67 :: 		void InitTimer2(){
SUB	SP, SP, #4
STR	LR, [SP, #0]
;IRint_main.c,68 :: 		RCC_APB1ENR.TIM2EN = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(RCC_APB1ENR+0)
MOVT	R0, #hi_addr(RCC_APB1ENR+0)
STR	R1, [R0, #0]
;IRint_main.c,69 :: 		TIM2_CR1.CEN = 0;                              // counter disable while configuring
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_CR1+0)
MOVT	R0, #hi_addr(TIM2_CR1+0)
STR	R1, [R0, #0]
;IRint_main.c,70 :: 		TIM2_PSC = 75;                                 // prescaler;  75,000,000 Hz / 75 = 1000000 Hz (1uS)    Clock seems to be half that expected !!!!!
MOVS	R1, #75
MOVW	R0, #lo_addr(TIM2_PSC+0)
MOVT	R0, #hi_addr(TIM2_PSC+0)
STR	R1, [R0, #0]
;IRint_main.c,71 :: 		TIM2_ARR = 25000;                              // auto-reload register;  1000000 Hz / 25000 = 40 Hz (25mS)
MOVW	R1, #25000
MOVW	R0, #lo_addr(TIM2_ARR+0)
MOVT	R0, #hi_addr(TIM2_ARR+0)
STR	R1, [R0, #0]
;IRint_main.c,72 :: 		NVIC_IntEnable(IVT_INT_TIM2);
MOVW	R0, #44
BL	_NVIC_IntEnable+0
;IRint_main.c,73 :: 		TIM2_DIER.UIE = 1;                             // enable T2 interrupt
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(TIM2_DIER+0)
MOVT	R0, #hi_addr(TIM2_DIER+0)
STR	R1, [R0, #0]
;IRint_main.c,74 :: 		TIM2_CR1.CEN = 1;                              // counter enable now ready
MOVW	R0, #lo_addr(TIM2_CR1+0)
MOVT	R0, #hi_addr(TIM2_CR1+0)
STR	R1, [R0, #0]
;IRint_main.c,75 :: 		}
L_end_InitTimer2:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _InitTimer2
_Timer2_interrupt:
;IRint_main.c,78 :: 		void Timer2_interrupt() iv IVT_INT_TIM2 {
;IRint_main.c,79 :: 		TIM2_SR.UIF = 0;                               // clear interrupt flag
MOVS	R3, #0
SXTB	R3, R3
MOVW	R0, #lo_addr(TIM2_SR+0)
MOVT	R0, #hi_addr(TIM2_SR+0)
STR	R3, [R0, #0]
;IRint_main.c,80 :: 		GPIOF_ODR.B2 = 1;                              // F2 pin 22 set to indicate on scope that inter-message gap found (Gnd on 2 and 26)
MOVS	R2, #1
SXTB	R2, R2
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R2, [R0, #0]
;IRint_main.c,81 :: 		gap_flag = 1;                                  // indicate gap found
MOVS	R1, #1
MOVW	R0, #lo_addr(_gap_flag+0)
MOVT	R0, #hi_addr(_gap_flag+0)
STRB	R1, [R0, #0]
;IRint_main.c,82 :: 		GPIOC_ODR.B13 = 1;                             // scope test only - pin 8 C13 - clear good header indicator
MOVW	R0, #lo_addr(GPIOC_ODR+0)
MOVT	R0, #hi_addr(GPIOC_ODR+0)
STR	R2, [R0, #0]
;IRint_main.c,83 :: 		GPIOE_ODR.B4 = 0;                              // scope test only - pin 9 E4 - clear good message found indicator
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R3, [R0, #0]
;IRint_main.c,84 :: 		GPIOF_ODR.B1 = 0;                              // scope test only - pin 43 PF1 - clear repeat found indication
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R3, [R0, #0]
;IRint_main.c,85 :: 		if(ir_state == 0){
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_Timer2_interrupt0
;IRint_main.c,86 :: 		ir_state = 1;                                // gap found - indicate in IR state indicator
MOVS	R1, #1
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,87 :: 		}
L_Timer2_interrupt0:
;IRint_main.c,88 :: 		}
L_end_Timer2_interrupt:
BX	LR
; end of _Timer2_interrupt
_ExtInt:
;IRint_main.c,91 :: 		void ExtInt() iv IVT_INT_EXTI15_10 ics ICS_AUTO {
;IRint_main.c,92 :: 		EXTI_PR.B10 = 1;                               // clear PB10 interrupt flag
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(EXTI_PR+0)
MOVT	R0, #hi_addr(EXTI_PR+0)
STR	R1, [R0, #0]
;IRint_main.c,93 :: 		gap_flag = 0;                                  // reset gap flag
MOVS	R1, #0
MOVW	R0, #lo_addr(_gap_flag+0)
MOVT	R0, #hi_addr(_gap_flag+0)
STRB	R1, [R0, #0]
;IRint_main.c,94 :: 		GPIOF_ODR.B2 = 0;                              // scope debug info pin 22 - no gap yet
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,95 :: 		if(EXTI_RTSR.B10){                             // if rising edge
MOVW	R1, #lo_addr(EXTI_RTSR+0)
MOVT	R1, #hi_addr(EXTI_RTSR+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_ExtInt1
;IRint_main.c,96 :: 		GPIOB_ODR.B4 = 0;                            // Blue LED off to indicate space
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,97 :: 		GPIOF_ODR.B7 = 1;                            // F7 pin 21 high to indicate space on scope (Gnd on 2 and 26)
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,98 :: 		EXTI_RTSR = 0x00000000;                      // No interrupt on Rising edge
MOVS	R1, #0
MOVW	R0, #lo_addr(EXTI_RTSR+0)
MOVT	R0, #hi_addr(EXTI_RTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,99 :: 		EXTI_FTSR = 0x00000400;                      // Set Interrupt on Falling edge (PB10)
MOVW	R1, #1024
MOVW	R0, #lo_addr(EXTI_FTSR+0)
MOVT	R0, #hi_addr(EXTI_FTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,100 :: 		ir_now = 1;                                  // show current IR input level is a space (high)
MOVS	R1, #1
MOVW	R0, #lo_addr(_ir_now+0)
MOVT	R0, #hi_addr(_ir_now+0)
STRB	R1, [R0, #0]
;IRint_main.c,101 :: 		}
IT	AL
BAL	L_ExtInt2
L_ExtInt1:
;IRint_main.c,103 :: 		GPIOB_ODR.B4 = 1;                            // Blue LED on to indicate mark
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,104 :: 		GPIOF_ODR.B7 = 0;                            // F7 pin 21 low to indicate mark on scope (Gnd on 2 and 26)
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,105 :: 		EXTI_RTSR = 0x00000400;                      // Set interrupt on Rising edge
MOVW	R1, #1024
MOVW	R0, #lo_addr(EXTI_RTSR+0)
MOVT	R0, #hi_addr(EXTI_RTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,106 :: 		EXTI_FTSR = 0x00000000;                      // No Interrupt on Falling edge (PB10)
MOVS	R1, #0
MOVW	R0, #lo_addr(EXTI_FTSR+0)
MOVT	R0, #hi_addr(EXTI_FTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,107 :: 		ir_now = 0;                                  // show current IR input level is a mark (low)
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_now+0)
MOVT	R0, #hi_addr(_ir_now+0)
STRB	R1, [R0, #0]
;IRint_main.c,108 :: 		}
L_ExtInt2:
;IRint_main.c,110 :: 		switch(ir_state){
IT	AL
BAL	L_ExtInt3
;IRint_main.c,111 :: 		case 1:                                             //Idle,starting
L_ExtInt5:
;IRint_main.c,112 :: 		ir_state = 2;
MOVS	R1, #2
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,113 :: 		break;
IT	AL
BAL	L_ExtInt4
;IRint_main.c,114 :: 		case 2:                                             // start_bit, found rising edge, check length for 9ms
L_ExtInt6:
;IRint_main.c,115 :: 		counter = TIM2_CNT;                               //
MOVW	R0, #lo_addr(TIM2_CNT+0)
MOVT	R0, #hi_addr(TIM2_CNT+0)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_counter+0)
MOVT	R0, #hi_addr(_counter+0)
STRH	R1, [R0, #0]
;IRint_main.c,116 :: 		if((counter > 8000) && (counter < 10000)){        // acceptable uS values for start
LDRH	R0, [R0, #0]
CMP	R0, #8000
IT	LS
BLS	L__ExtInt35
MOVW	R0, #lo_addr(_counter+0)
MOVT	R0, #hi_addr(_counter+0)
LDRH	R1, [R0, #0]
MOVW	R0, #10000
CMP	R1, R0
IT	CS
BCS	L__ExtInt34
L__ExtInt33:
;IRint_main.c,117 :: 		ir_state = 3;                                 // start receiving bits
MOVS	R1, #3
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,118 :: 		}
IT	AL
BAL	L_ExtInt10
;IRint_main.c,116 :: 		if((counter > 8000) && (counter < 10000)){        // acceptable uS values for start
L__ExtInt35:
L__ExtInt34:
;IRint_main.c,120 :: 		ir_state = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,121 :: 		}
L_ExtInt10:
;IRint_main.c,122 :: 		break;
IT	AL
BAL	L_ExtInt4
;IRint_main.c,123 :: 		case 3:
L_ExtInt11:
;IRint_main.c,124 :: 		if(!ir_now){                                         // only interested in space timing - i.e. just returned to mark
MOVW	R0, #lo_addr(_ir_now+0)
MOVT	R0, #hi_addr(_ir_now+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_ExtInt12
;IRint_main.c,125 :: 		counter = TIM2_CNT;                              //
MOVW	R0, #lo_addr(TIM2_CNT+0)
MOVT	R0, #hi_addr(TIM2_CNT+0)
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_counter+0)
MOVT	R0, #hi_addr(_counter+0)
STRH	R1, [R0, #0]
;IRint_main.c,126 :: 		if((counter > 2000) && (counter < 2500)){        // acceptable uS values for repeat space time of 2.25mS
LDRH	R0, [R0, #0]
CMP	R0, #2000
IT	LS
BLS	L__ExtInt37
MOVW	R0, #lo_addr(_counter+0)
MOVT	R0, #hi_addr(_counter+0)
LDRH	R1, [R0, #0]
MOVW	R0, #2500
CMP	R1, R0
IT	CS
BCS	L__ExtInt36
L__ExtInt32:
;IRint_main.c,127 :: 		bit_count = 0;                               // start counting bits in
MOVS	R1, #0
MOVW	R0, #lo_addr(_bit_count+0)
MOVT	R0, #hi_addr(_bit_count+0)
STRB	R1, [R0, #0]
;IRint_main.c,128 :: 		input_data = 0;                              // clear old value
MOVS	R1, #0
MOVW	R0, #lo_addr(_input_data+0)
MOVT	R0, #hi_addr(_input_data+0)
STR	R1, [R0, #0]
;IRint_main.c,129 :: 		GPIOF_ODR.B1 = 1;                            // scope test only - pin 43 PF1 - repeat
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,130 :: 		repeat_count++;                                     // count the number of repeat messages since last full message
MOVW	R1, #lo_addr(_repeat_count+0)
MOVT	R1, #hi_addr(_repeat_count+0)
LDRB	R0, [R1, #0]
ADDS	R0, R0, #1
STRB	R0, [R1, #0]
;IRint_main.c,131 :: 		repeat_flag = 1;                                    // signal that display update is needed
MOVS	R1, #1
MOVW	R0, #lo_addr(_repeat_flag+0)
MOVT	R0, #hi_addr(_repeat_flag+0)
STRB	R1, [R0, #0]
;IRint_main.c,132 :: 		ir_state = 0;                                       // ready to start receiving again
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,126 :: 		if((counter > 2000) && (counter < 2500)){        // acceptable uS values for repeat space time of 2.25mS
L__ExtInt37:
L__ExtInt36:
;IRint_main.c,134 :: 		if((counter > 4000) && (counter < 5000)){        // acceptable uS values for start space time
MOVW	R0, #lo_addr(_counter+0)
MOVT	R0, #hi_addr(_counter+0)
LDRH	R0, [R0, #0]
CMP	R0, #4000
IT	LS
BLS	L__ExtInt39
MOVW	R0, #lo_addr(_counter+0)
MOVT	R0, #hi_addr(_counter+0)
LDRH	R1, [R0, #0]
MOVW	R0, #5000
CMP	R1, R0
IT	CS
BCS	L__ExtInt38
L__ExtInt31:
;IRint_main.c,135 :: 		bit_count = 0;                               // start counting bits in
MOVS	R1, #0
MOVW	R0, #lo_addr(_bit_count+0)
MOVT	R0, #hi_addr(_bit_count+0)
STRB	R1, [R0, #0]
;IRint_main.c,136 :: 		input_data = 0;                              // clear old value
MOVS	R1, #0
MOVW	R0, #lo_addr(_input_data+0)
MOVT	R0, #hi_addr(_input_data+0)
STR	R1, [R0, #0]
;IRint_main.c,137 :: 		ir_state = 4;                                // start receiving bits
MOVS	R1, #4
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,138 :: 		}
IT	AL
BAL	L_ExtInt19
;IRint_main.c,134 :: 		if((counter > 4000) && (counter < 5000)){        // acceptable uS values for start space time
L__ExtInt39:
L__ExtInt38:
;IRint_main.c,140 :: 		ir_state = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,141 :: 		}
L_ExtInt19:
;IRint_main.c,142 :: 		break;
IT	AL
BAL	L_ExtInt4
;IRint_main.c,143 :: 		}
L_ExtInt12:
;IRint_main.c,144 :: 		case 4:   //capture bit, start receiving data
L_ExtInt20:
;IRint_main.c,145 :: 		if(!ir_now){                                        // only interested in space timing - i.e. just returned to mark
MOVW	R0, #lo_addr(_ir_now+0)
MOVT	R0, #hi_addr(_ir_now+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L_ExtInt21
;IRint_main.c,148 :: 		counter = TIM2_CNT;                               //  get mark time in uS
MOVW	R0, #lo_addr(TIM2_CNT+0)
MOVT	R0, #hi_addr(TIM2_CNT+0)
LDR	R0, [R0, #0]
MOVW	R2, #lo_addr(_counter+0)
MOVT	R2, #hi_addr(_counter+0)
STRH	R0, [R2, #0]
;IRint_main.c,149 :: 		bit_count++;
MOVW	R1, #lo_addr(_bit_count+0)
MOVT	R1, #hi_addr(_bit_count+0)
LDRB	R0, [R1, #0]
ADDS	R0, R0, #1
STRB	R0, [R1, #0]
;IRint_main.c,150 :: 		input_data >>= 1;                                 // make room for 0 bit
MOVW	R1, #lo_addr(_input_data+0)
MOVT	R1, #hi_addr(_input_data+0)
LDR	R0, [R1, #0]
LSRS	R0, R0, #1
STR	R0, [R1, #0]
;IRint_main.c,152 :: 		if(counter > 1200){                               // acceptable uS value for zero/one discrimination
MOV	R0, R2
LDRH	R0, [R0, #0]
CMP	R0, #1200
IT	LS
BLS	L_ExtInt22
;IRint_main.c,153 :: 		input_data |= 0x80000000UL;                   // change 0 to 1
MOVW	R1, #lo_addr(_input_data+0)
MOVT	R1, #hi_addr(_input_data+0)
LDR	R0, [R1, #0]
ORR	R0, R0, #-2147483648
STR	R0, [R1, #0]
;IRint_main.c,154 :: 		}
L_ExtInt22:
;IRint_main.c,155 :: 		if (bit_count == 32){                             // complete 32 bits
MOVW	R0, #lo_addr(_bit_count+0)
MOVT	R0, #hi_addr(_bit_count+0)
LDRB	R0, [R0, #0]
CMP	R0, #32
IT	NE
BNE	L_ExtInt23
;IRint_main.c,156 :: 		GPIOE_ODR.B4 = 1;                             // scope test only - pin 9 E4
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,157 :: 		mydebug = input_data;                                // debug only
MOVW	R2, #lo_addr(_input_data+0)
MOVT	R2, #hi_addr(_input_data+0)
LDR	R1, [R2, #0]
MOVW	R0, #lo_addr(_mydebug+0)
MOVT	R0, #hi_addr(_mydebug+0)
STR	R1, [R0, #0]
;IRint_main.c,158 :: 		ir_found = 1;                                 // indicate that a message is ready
MOVS	R1, #1
MOVW	R0, #lo_addr(_ir_found+0)
MOVT	R0, #hi_addr(_ir_found+0)
STRB	R1, [R0, #0]
;IRint_main.c,159 :: 		ir_add = input_data;                          // pick out the 16 address bits
MOV	R0, R2
LDR	R1, [R0, #0]
MOVW	R0, #lo_addr(_ir_add+0)
MOVT	R0, #hi_addr(_ir_add+0)
STRH	R1, [R0, #0]
;IRint_main.c,160 :: 		ir_cmd = (input_data >> 16);                  // pick out the 16 command bits  (8 bits data and 8 bits inverted data)
MOV	R0, R2
LDR	R0, [R0, #0]
LSRS	R1, R0, #16
MOVW	R0, #lo_addr(_ir_cmd+0)
MOVT	R0, #hi_addr(_ir_cmd+0)
STRH	R1, [R0, #0]
;IRint_main.c,162 :: 		ir_state = 0;                                 // ready to start receiving again
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,163 :: 		}
L_ExtInt23:
;IRint_main.c,164 :: 		}
L_ExtInt21:
;IRint_main.c,165 :: 		break;
IT	AL
BAL	L_ExtInt4
;IRint_main.c,166 :: 		default: ir_state = 0;                                // do not expect to get here, but if I do then reset IR receive
L_ExtInt24:
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,167 :: 		}
IT	AL
BAL	L_ExtInt4
L_ExtInt3:
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #1
IT	EQ
BEQ	L_ExtInt5
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #2
IT	EQ
BEQ	L_ExtInt6
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #3
IT	EQ
BEQ	L_ExtInt11
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
LDRB	R0, [R0, #0]
CMP	R0, #4
IT	EQ
BEQ	L_ExtInt20
IT	AL
BAL	L_ExtInt24
L_ExtInt4:
;IRint_main.c,169 :: 		TIM2_CNT = 0;                                  // reset gap counter
MOVS	R1, #0
MOVW	R0, #lo_addr(TIM2_CNT+0)
MOVT	R0, #hi_addr(TIM2_CNT+0)
STR	R1, [R0, #0]
;IRint_main.c,171 :: 		}
L_end_ExtInt:
BX	LR
; end of _ExtInt
_main:
;IRint_main.c,173 :: 		void main() {
SUB	SP, SP, #16
;IRint_main.c,174 :: 		GPIO_Digital_Output(&GPIOB_BASE, _GPIO_PINMASK_4);              // Enable digital output on PORTB4 Blue LED
MOVW	R1, #16
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Output+0
;IRint_main.c,175 :: 		GPIOB_ODR.B4 = 0;                                               // blue LED off to start with
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOB_ODR+0)
MOVT	R0, #hi_addr(GPIOB_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,176 :: 		GPIO_Digital_Input(&GPIOB_BASE, _GPIO_PINMASK_10);              // IR input on PB10
MOVW	R1, #1024
MOVW	R0, #lo_addr(GPIOB_BASE+0)
MOVT	R0, #hi_addr(GPIOB_BASE+0)
BL	_GPIO_Digital_Input+0
;IRint_main.c,177 :: 		GPIO_Digital_Output(&GPIOE_BASE, _GPIO_PINMASK_4);              // Enable digital output on PORTE4 for scope tests - pin 9 of MMB7 (Gnd = 2 and 26)
MOVW	R1, #16
MOVW	R0, #lo_addr(GPIOE_BASE+0)
MOVT	R0, #hi_addr(GPIOE_BASE+0)
BL	_GPIO_Digital_Output+0
;IRint_main.c,178 :: 		GPIOE_ODR.B4 = 0;                                               // PE4 off to start with
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,179 :: 		GPIO_Digital_Output(&GPIOF_BASE, _GPIO_PINMASK_2);              // Enable digital output on PORTF2 for scope tests - pin 22 of MMB7 (Gnd = 2 and 26)
MOVW	R1, #4
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Output+0
;IRint_main.c,180 :: 		GPIOF_ODR.B2 = 0;                                               // PF2 off to start with
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,181 :: 		GPIO_Digital_Output(&GPIOF_BASE, _GPIO_PINMASK_7);              // Enable digital output on PORTF7 for scope tests - pin 21 of MMB7 (Gnd = 2 and 26)
MOVW	R1, #128
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Output+0
;IRint_main.c,182 :: 		GPIOF_ODR.B7 = 0;                                               // PF7 off to start with
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,183 :: 		GPIO_Digital_Output(&GPIOF_BASE, _GPIO_PINMASK_1);              // Enable digital output on PORTF1 for scope tests - pin 43 of MMB7 (Gnd = 2 and 26)
MOVW	R1, #2
MOVW	R0, #lo_addr(GPIOF_BASE+0)
MOVT	R0, #hi_addr(GPIOF_BASE+0)
BL	_GPIO_Digital_Output+0
;IRint_main.c,184 :: 		GPIOF_ODR.B1 = 0;                                               // PF1 off to start with
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOF_ODR+0)
MOVT	R0, #hi_addr(GPIOF_ODR+0)
STR	R1, [R0, #0]
;IRint_main.c,186 :: 		SYSCFGEN_bit = 1;                    // Enable clock for alternate pin functions
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(SYSCFGEN_bit+0)
MOVT	R0, #hi_addr(SYSCFGEN_bit+0)
STR	R1, [R0, #0]
;IRint_main.c,187 :: 		SYSCFG_EXTICR3 = 0x00000100;         // Map external interrupt on PB10
MOVW	R1, #256
MOVW	R0, #lo_addr(SYSCFG_EXTICR3+0)
MOVT	R0, #hi_addr(SYSCFG_EXTICR3+0)
STR	R1, [R0, #0]
;IRint_main.c,188 :: 		EXTI_RTSR = 0x00000000;              // No interrupt on Rising edge
MOVS	R1, #0
MOVW	R0, #lo_addr(EXTI_RTSR+0)
MOVT	R0, #hi_addr(EXTI_RTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,189 :: 		EXTI_FTSR = 0x00000400;              // Set Interrupt on Falling edge (PB10)
MOVW	R1, #1024
MOVW	R0, #lo_addr(EXTI_FTSR+0)
MOVT	R0, #hi_addr(EXTI_FTSR+0)
STR	R1, [R0, #0]
;IRint_main.c,190 :: 		EXTI_IMR |= 0x00000400;              // Set mask
MOVW	R0, #lo_addr(EXTI_IMR+0)
MOVT	R0, #hi_addr(EXTI_IMR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #1024
MOVW	R0, #lo_addr(EXTI_IMR+0)
MOVT	R0, #hi_addr(EXTI_IMR+0)
STR	R1, [R0, #0]
;IRint_main.c,191 :: 		NVIC_IntEnable(IVT_INT_EXTI15_10);   // Enable External interrupt
MOVW	R0, #56
BL	_NVIC_IntEnable+0
;IRint_main.c,192 :: 		InitTimer2();                        // timer 2 interrupts every 100mS
BL	_InitTimer2+0
;IRint_main.c,193 :: 		gap_flag = 0;                        // assume no gap yet
MOVS	R1, #0
MOVW	R0, #lo_addr(_gap_flag+0)
MOVT	R0, #hi_addr(_gap_flag+0)
STRB	R1, [R0, #0]
;IRint_main.c,194 :: 		ir_state = 0;                        // waiting for gap
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_state+0)
MOVT	R0, #hi_addr(_ir_state+0)
STRB	R1, [R0, #0]
;IRint_main.c,195 :: 		repeat_flag = 0;                     // no repeat messages yet
MOVS	R1, #0
MOVW	R0, #lo_addr(_repeat_flag+0)
MOVT	R0, #hi_addr(_repeat_flag+0)
STRB	R1, [R0, #0]
;IRint_main.c,197 :: 		Start_TP();
BL	_Start_TP+0
;IRint_main.c,199 :: 		while (1) {
L_main25:
;IRint_main.c,200 :: 		Check_TP();
BL	_Check_TP+0
;IRint_main.c,201 :: 		if(ir_found){                                           // has an IR message been decoded?
MOVW	R0, #lo_addr(_ir_found+0)
MOVT	R0, #hi_addr(_ir_found+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main27
;IRint_main.c,202 :: 		ir_found=0;                                           // prevent second processing of message
MOVS	R1, #0
MOVW	R0, #lo_addr(_ir_found+0)
MOVT	R0, #hi_addr(_ir_found+0)
STRB	R1, [R0, #0]
;IRint_main.c,203 :: 		repeat_count = 0;                                     // clear count of repeat messages
MOVS	R1, #0
MOVW	R0, #lo_addr(_repeat_count+0)
MOVT	R0, #hi_addr(_repeat_count+0)
STRB	R1, [R0, #0]
;IRint_main.c,204 :: 		WordToHex(ir_add, text_buffer);                       // update display information ......
MOVW	R0, #lo_addr(_ir_add+0)
MOVT	R0, #hi_addr(_ir_add+0)
LDRH	R0, [R0, #0]
MOVW	R1, #lo_addr(_text_buffer+0)
MOVT	R1, #hi_addr(_text_buffer+0)
BL	_WordToHex+0
;IRint_main.c,205 :: 		ButtonAddress.Caption[2] = text_buffer[2];
MOVW	R2, #lo_addr(_ButtonAddress+24)
MOVT	R2, #hi_addr(_ButtonAddress+24)
LDR	R0, [R2, #0]
ADDS	R1, R0, #2
MOVW	R0, #lo_addr(_text_buffer+2)
MOVT	R0, #hi_addr(_text_buffer+2)
STR	R0, [SP, #12]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,206 :: 		ButtonAddress.Caption[3] = text_buffer[3];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #3
MOVW	R0, #lo_addr(_text_buffer+3)
MOVT	R0, #hi_addr(_text_buffer+3)
STR	R0, [SP, #8]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,207 :: 		ButtonAddress.Caption[4] = text_buffer[0];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #4
MOVW	R0, #lo_addr(_text_buffer+0)
MOVT	R0, #hi_addr(_text_buffer+0)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,208 :: 		ButtonAddress.Caption[5] = text_buffer[1];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #5
MOVW	R0, #lo_addr(_text_buffer+1)
MOVT	R0, #hi_addr(_text_buffer+1)
STR	R0, [SP, #4]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,209 :: 		WordToHex(ir_cmd, text_buffer);
MOVW	R0, #lo_addr(_ir_cmd+0)
MOVT	R0, #hi_addr(_ir_cmd+0)
STR	R0, [SP, #0]
LDRH	R0, [R0, #0]
MOVW	R1, #lo_addr(_text_buffer+0)
MOVT	R1, #hi_addr(_text_buffer+0)
BL	_WordToHex+0
;IRint_main.c,210 :: 		ButtonInverse.Caption[2] = text_buffer[0];
MOVW	R2, #lo_addr(_ButtonInverse+24)
MOVT	R2, #hi_addr(_ButtonInverse+24)
LDR	R0, [R2, #0]
ADDS	R1, R0, #2
MOVW	R0, #lo_addr(_text_buffer+0)
MOVT	R0, #hi_addr(_text_buffer+0)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,211 :: 		ButtonInverse.Caption[3] = text_buffer[1];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #3
LDR	R0, [SP, #4]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,212 :: 		ButtonCommand.Caption[2] = text_buffer[2];
MOVW	R2, #lo_addr(_ButtonCommand+24)
MOVT	R2, #hi_addr(_ButtonCommand+24)
LDR	R0, [R2, #0]
ADDS	R1, R0, #2
LDR	R0, [SP, #12]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,213 :: 		ButtonCommand.Caption[3] = text_buffer[3];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #3
LDR	R0, [SP, #8]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,214 :: 		LongWordToHex(mydebug, text_buffer);
MOVW	R0, #lo_addr(_mydebug+0)
MOVT	R0, #hi_addr(_mydebug+0)
LDR	R0, [R0, #0]
MOVW	R1, #lo_addr(_text_buffer+0)
MOVT	R1, #hi_addr(_text_buffer+0)
BL	_LongWordToHex+0
;IRint_main.c,215 :: 		ButtonDebug.Caption[0] = text_buffer[0];
MOVW	R0, #lo_addr(_text_buffer+0)
MOVT	R0, #hi_addr(_text_buffer+0)
LDRB	R1, [R0, #0]
MOVW	R2, #lo_addr(_ButtonDebug+24)
MOVT	R2, #hi_addr(_ButtonDebug+24)
LDR	R0, [R2, #0]
STRB	R1, [R0, #0]
;IRint_main.c,216 :: 		ButtonDebug.Caption[1] = text_buffer[1];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #1
LDR	R0, [SP, #4]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,217 :: 		ButtonDebug.Caption[2] = text_buffer[2];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #2
LDR	R0, [SP, #12]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,218 :: 		ButtonDebug.Caption[3] = text_buffer[3];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #3
LDR	R0, [SP, #8]
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,219 :: 		ButtonDebug.Caption[4] = text_buffer[4];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #4
MOVW	R0, #lo_addr(_text_buffer+4)
MOVT	R0, #hi_addr(_text_buffer+4)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,220 :: 		ButtonDebug.Caption[5] = text_buffer[5];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #5
MOVW	R0, #lo_addr(_text_buffer+5)
MOVT	R0, #hi_addr(_text_buffer+5)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,221 :: 		ButtonDebug.Caption[6] = text_buffer[6];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #6
MOVW	R0, #lo_addr(_text_buffer+6)
MOVT	R0, #hi_addr(_text_buffer+6)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,222 :: 		ButtonDebug.Caption[7] = text_buffer[7];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #7
MOVW	R0, #lo_addr(_text_buffer+7)
MOVT	R0, #hi_addr(_text_buffer+7)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,223 :: 		ButtonInverse.Gradient_Start_Color = 0xf800;                // set red to start with
MOVW	R1, #63488
MOVW	R0, #lo_addr(_ButtonInverse+42)
MOVT	R0, #hi_addr(_ButtonInverse+42)
STRH	R1, [R0, #0]
;IRint_main.c,224 :: 		cmp1 = ir_cmd >> 8;
LDR	R3, [SP, #0]
MOV	R0, R3
LDRH	R0, [R0, #0]
LSRS	R2, R0, #8
MOVW	R0, #lo_addr(_cmp1+0)
MOVT	R0, #hi_addr(_cmp1+0)
STRB	R2, [R0, #0]
;IRint_main.c,225 :: 		cmp2 = ir_cmd;
MOV	R0, R3
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_cmp2+0)
MOVT	R0, #hi_addr(_cmp2+0)
STRB	R1, [R0, #0]
;IRint_main.c,226 :: 		if(cmp1 == ~cmp2){                                          // check that command is inverse of inverse command
MOV	R0, R3
LDRB	R0, [R0, #0]
MVN	R1, R0
UXTB	R1, R1
UXTB	R0, R2
CMP	R0, R1
IT	NE
BNE	L_main28
;IRint_main.c,227 :: 		ButtonInverse.Gradient_Start_Color = 0x4d81;            // change to green if match is OK
MOVW	R1, #19841
MOVW	R0, #lo_addr(_ButtonInverse+42)
MOVT	R0, #hi_addr(_ButtonInverse+42)
STRH	R1, [R0, #0]
;IRint_main.c,228 :: 		}
L_main28:
;IRint_main.c,229 :: 		LabelExt.Font_Color = Label8.Font_Color;                    // make "(extended)" text visible to start with
MOVW	R0, #lo_addr(_Label8+24)
MOVT	R0, #hi_addr(_Label8+24)
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_LabelExt+24)
MOVT	R0, #hi_addr(_LabelExt+24)
STRH	R1, [R0, #0]
;IRint_main.c,230 :: 		cmp1 = ir_add >> 8;
MOVW	R3, #lo_addr(_ir_add+0)
MOVT	R3, #hi_addr(_ir_add+0)
LDRH	R0, [R3, #0]
LSRS	R2, R0, #8
MOVW	R0, #lo_addr(_cmp1+0)
MOVT	R0, #hi_addr(_cmp1+0)
STRB	R2, [R0, #0]
;IRint_main.c,231 :: 		cmp2 = ir_add;
MOV	R0, R3
LDRH	R1, [R0, #0]
MOVW	R0, #lo_addr(_cmp2+0)
MOVT	R0, #hi_addr(_cmp2+0)
STRB	R1, [R0, #0]
;IRint_main.c,232 :: 		if(cmp1 == ~cmp2){                                          // check that command is inverse of inverse command
MOV	R0, R3
LDRB	R0, [R0, #0]
MVN	R1, R0
UXTB	R1, R1
UXTB	R0, R2
CMP	R0, R1
IT	NE
BNE	L_main29
;IRint_main.c,233 :: 		LabelExt.Font_Color = 0;                                // make extended text invisible if match is OK
MOVS	R1, #0
MOVW	R0, #lo_addr(_LabelExt+24)
MOVT	R0, #hi_addr(_LabelExt+24)
STRH	R1, [R0, #0]
;IRint_main.c,234 :: 		}
L_main29:
;IRint_main.c,235 :: 		WordToHex(repeat_count, text_buffer);
MOVW	R0, #lo_addr(_repeat_count+0)
MOVT	R0, #hi_addr(_repeat_count+0)
LDRB	R0, [R0, #0]
MOVW	R1, #lo_addr(_text_buffer+0)
MOVT	R1, #hi_addr(_text_buffer+0)
BL	_WordToHex+0
;IRint_main.c,236 :: 		ButtonRepeats.Caption[2] = text_buffer[2];
MOVW	R2, #lo_addr(_ButtonRepeats+24)
MOVT	R2, #hi_addr(_ButtonRepeats+24)
LDR	R0, [R2, #0]
ADDS	R1, R0, #2
MOVW	R0, #lo_addr(_text_buffer+2)
MOVT	R0, #hi_addr(_text_buffer+2)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,237 :: 		ButtonRepeats.Caption[3] = text_buffer[3];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #3
MOVW	R0, #lo_addr(_text_buffer+3)
MOVT	R0, #hi_addr(_text_buffer+3)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,238 :: 		DrawButton(&ButtonDebug);
MOVW	R0, #lo_addr(_ButtonDebug+0)
MOVT	R0, #hi_addr(_ButtonDebug+0)
BL	_DrawButton+0
;IRint_main.c,239 :: 		DrawButton(&ButtonAddress);
MOVW	R0, #lo_addr(_ButtonAddress+0)
MOVT	R0, #hi_addr(_ButtonAddress+0)
BL	_DrawButton+0
;IRint_main.c,240 :: 		DrawButton(&ButtonCommand);
MOVW	R0, #lo_addr(_ButtonCommand+0)
MOVT	R0, #hi_addr(_ButtonCommand+0)
BL	_DrawButton+0
;IRint_main.c,241 :: 		DrawButton(&ButtonInverse);
MOVW	R0, #lo_addr(_ButtonInverse+0)
MOVT	R0, #hi_addr(_ButtonInverse+0)
BL	_DrawButton+0
;IRint_main.c,242 :: 		DrawButton(&ButtonRepeats);
MOVW	R0, #lo_addr(_ButtonRepeats+0)
MOVT	R0, #hi_addr(_ButtonRepeats+0)
BL	_DrawButton+0
;IRint_main.c,243 :: 		DrawLabel(&LabelExt);
MOVW	R0, #lo_addr(_LabelExt+0)
MOVT	R0, #hi_addr(_LabelExt+0)
BL	_DrawLabel+0
;IRint_main.c,244 :: 		}
L_main27:
;IRint_main.c,245 :: 		if(repeat_flag){                                              // has an IR repeat message been found?
MOVW	R0, #lo_addr(_repeat_flag+0)
MOVT	R0, #hi_addr(_repeat_flag+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	EQ
BEQ	L_main30
;IRint_main.c,246 :: 		repeat_flag = 0;                                            // prevent pointless Screen updates
MOVS	R1, #0
MOVW	R0, #lo_addr(_repeat_flag+0)
MOVT	R0, #hi_addr(_repeat_flag+0)
STRB	R1, [R0, #0]
;IRint_main.c,247 :: 		WordToHex(repeat_count, text_buffer);
MOVW	R0, #lo_addr(_repeat_count+0)
MOVT	R0, #hi_addr(_repeat_count+0)
LDRB	R0, [R0, #0]
MOVW	R1, #lo_addr(_text_buffer+0)
MOVT	R1, #hi_addr(_text_buffer+0)
BL	_WordToHex+0
;IRint_main.c,248 :: 		ButtonRepeats.Caption[2] = text_buffer[2];
MOVW	R2, #lo_addr(_ButtonRepeats+24)
MOVT	R2, #hi_addr(_ButtonRepeats+24)
LDR	R0, [R2, #0]
ADDS	R1, R0, #2
MOVW	R0, #lo_addr(_text_buffer+2)
MOVT	R0, #hi_addr(_text_buffer+2)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,249 :: 		ButtonRepeats.Caption[3] = text_buffer[3];
MOV	R0, R2
LDR	R0, [R0, #0]
ADDS	R1, R0, #3
MOVW	R0, #lo_addr(_text_buffer+3)
MOVT	R0, #hi_addr(_text_buffer+3)
LDRB	R0, [R0, #0]
STRB	R0, [R1, #0]
;IRint_main.c,250 :: 		DrawButton(&ButtonRepeats);
MOVW	R0, #lo_addr(_ButtonRepeats+0)
MOVT	R0, #hi_addr(_ButtonRepeats+0)
BL	_DrawButton+0
;IRint_main.c,251 :: 		}
L_main30:
;IRint_main.c,252 :: 		}
IT	AL
BAL	L_main25
;IRint_main.c,253 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
