#line 1 "C:/PIC/MikroC/ARMstm32/stm32f407/MMB7STM32M4/IRint/IRintRC5/IRint_Code/mikroC PRO for ARM/IRint_events_code.c"
#line 1 "c:/pic/mikroc/armstm32/stm32f407/mmb7stm32m4/irint/irintrc5/irint_code/mikroc pro for arm/irint_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;
typedef enum {_tavTop, _tavMiddle, _tavBottom} TTextAlignVertical;

typedef struct Screen TScreen;

typedef struct {
 unsigned int X_Min;
 unsigned int X_Max;
 unsigned int Y_Min;
 unsigned int Y_Max;
 char Rotate;
} TTPConstants;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 TTextAlignVertical TextAlignVertical;
 const char *FontName;
 unsigned int Font_Color;
 char VerticalText;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char VerticalText;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned int ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
};

extern TScreen Screen1;
extern TLabel Label1;
extern TLabel Label2;
extern TLabel Label3;
extern TLabel Label4;
extern TLabel Label5;
extern TLabel Label6;
extern TLabel Label7;
extern TLabel Label8;
extern TButton ButtonAddress;
extern TLabel Label9;
extern TLabel Label10;
extern TButton ButtonCommand;
extern TLabel Label11;
extern TButton Button7cmd;
extern TLabel Label12;
extern TLabel Label13;
extern TButton ButtonToggle;
extern TButton ButtonS2;
extern TButton * const code Screen1_Buttons[5];
extern TLabel * const code Screen1_Labels[13];




void Action_Blue();
void Action_Green();
void Action_Red();




extern char Label1_Caption[];
extern char Label2_Caption[];
extern char Label3_Caption[];
extern char Label4_Caption[];
extern char Label5_Caption[];
extern char Label6_Caption[];
extern char Label7_Caption[];
extern char Label8_Caption[];
extern char ButtonAddress_Caption[];
extern char Label9_Caption[];
extern char Label10_Caption[];
extern char ButtonCommand_Caption[];
extern char Label11_Caption[];
extern char Button7cmd_Caption[];
extern char Label12_Caption[];
extern char Label13_Caption[];
extern char ButtonToggle_Caption[];
extern char ButtonS2_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawLabel(TLabel *ALabel);
void Check_TP();
void Start_TP();
void Process_TP_Press(unsigned int X, unsigned int Y);
void Process_TP_Up(unsigned int X, unsigned int Y);
void Process_TP_Down(unsigned int X, unsigned int Y);
#line 1 "c:/pic/mikroc/armstm32/stm32f407/mmb7stm32m4/irint/irintrc5/irint_code/mikroc pro for arm/irint_resources.h"
const code char Tahoma19x23_Regular[];
const code char Tahoma21x25_Regular[];
const code char Tahoma26x33_Regular[];
const code char Tahoma32x33_Bold[];
const code char Tahoma11x13_Regular[];
#line 11 "C:/PIC/MikroC/ARMstm32/stm32f407/MMB7STM32M4/IRint/IRintRC5/IRint_Code/mikroC PRO for ARM/IRint_events_code.c"
void Action_Red() {
 GPIOG_ODR.B15 = !GPIOG_ODR.B15;
}

void Action_Green() {
 GPIOB_ODR.B3 = !GPIOB_ODR.B3;
}

void Action_Blue() {
 GPIOB_ODR.B4 = !GPIOB_ODR.B4;
}
